rpms/asterisk/devel .cvsignore, 1.20, 1.21 asterisk-strip.sh, 1.4, 1.5 asterisk.spec, 1.50, 1.51 sources, 1.20, 1.21

Jeffrey C. Ollie jcollie at fedoraproject.org
Thu Mar 5 14:12:53 UTC 2009


Author: jcollie

Update of /cvs/pkgs/rpms/asterisk/devel
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv19387

Modified Files:
	.cvsignore asterisk-strip.sh asterisk.spec sources 
Log Message:
* Thu Mar  5 2009 Jeffrey C. Ollie <jeff at ocjtech.us> - 1.6.1-0.23.rc1
- Rebuild to pick up new AIS and ODBC deps.
- Update script that strips out bad content from tarball to do the
  download and to check the GPG signature.



Index: .cvsignore
===================================================================
RCS file: /cvs/pkgs/rpms/asterisk/devel/.cvsignore,v
retrieving revision 1.20
retrieving revision 1.21
diff -u -r1.20 -r1.21
--- .cvsignore	9 Feb 2009 05:54:21 -0000	1.20
+++ .cvsignore	5 Mar 2009 14:12:22 -0000	1.21
@@ -1 +1,3 @@
 asterisk-1.6.1-rc1-stripped.tar.gz
+asterisk-1.6.1-rc1.tar.gz.asc
+asterisk-developer-pubring.gpg


Index: asterisk-strip.sh
===================================================================
RCS file: /cvs/pkgs/rpms/asterisk/devel/asterisk-strip.sh,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -r1.4 -r1.5
--- asterisk-strip.sh	10 Oct 2008 17:16:34 -0000	1.4
+++ asterisk-strip.sh	5 Mar 2009 14:12:22 -0000	1.5
@@ -1,11 +1,45 @@
 #!/bin/sh
 
 version=$1
+
+if [ -z $version ]; then
+    echo "Please specify a version!"
+    exit 1
+fi
+
+wget --continue --timestamping http://downloads.digium.com/pub/telephony/asterisk/releases/asterisk-$version.tar.gz \
+                               http://downloads.digium.com/pub/telephony/asterisk/releases/asterisk-$version.tar.gz.asc
+
+if [ ! $? ]; then
+    echo "Unable to download!"
+    exit 1
+fi
+
 if [ ! -f asterisk-$version.tar.gz ]; then
     echo "Can't find asterisk-$version.tar.gz!"
     exit 1
 fi
 
+if [ ! -f asterisk-$version.tar.gz.asc ]; then
+    echo "Can't find asterisk-$version.tar.gz.asc!"
+    exit 1
+fi
+
+gpg --keyring=$(pwd)/asterisk-developer-pubring.gpg --verify asterisk-$version.tar.gz.asc asterisk-$version.tar.gz
+
+if [ ! $? ]; then
+    echo "Bad signature!!!!"
+    exit 1
+fi
+
+echo
+read -p "Does the GPG signature look OK? " -n 1
+echo
+
+if [ $REPLY != "Y" -a $REPLY != "y" ]; then
+    exit 1
+fi
+
 tar xf asterisk-$version.tar.gz
 rm asterisk-$version/sounds/*.tar.gz
 tar czf asterisk-$version-stripped.tar.gz asterisk-$version
@@ -18,5 +52,9 @@
 echo "# SHA1 Sums"
 echo "# ========="
 sha1sum asterisk-$version.tar.gz  asterisk-$version-stripped.tar.gz  | sed -e 's/^/# /'
+echo "#"
+echo "# SHA256 Sums"
+echo "# ========="
+sha256sum asterisk-$version.tar.gz  asterisk-$version-stripped.tar.gz  | sed -e 's/^/# /'
 
-
+make new-sources FILES="asterisk-$version-stripped.tar.gz asterisk-$version.tar.gz.asc asterisk-developer-pubring.gpg"


Index: asterisk.spec
===================================================================
RCS file: /cvs/pkgs/rpms/asterisk/devel/asterisk.spec,v
retrieving revision 1.50
retrieving revision 1.51
diff -u -r1.50 -r1.51
--- asterisk.spec	24 Feb 2009 02:42:52 -0000	1.50
+++ asterisk.spec	5 Mar 2009 14:12:22 -0000	1.51
@@ -3,7 +3,7 @@
 Summary: The Open Source PBX
 Name: asterisk
 Version: 1.6.1
-Release: 0.22.%{?_rc:rc%{_rc}}%{?dist}
+Release: 0.23.%{?_rc:rc%{_rc}}%{?dist}
 License: GPLv2
 Group: Applications/Internet
 URL: http://www.asterisk.org/
@@ -20,18 +20,25 @@
 # MD5 Sums
 # ========
 # 29f7285b673d52b49d91c8e797acbbb0  asterisk-1.6.1-rc1.tar.gz
-# 077741b7f993925f61bb50ab29b49063  asterisk-1.6.1-rc1-stripped.tar.gz
+# d77d5521c9e742c81356f49ebcf6051a  asterisk-1.6.1-rc1-stripped.tar.gz
 #
 # SHA1 Sums
 # =========
 # 517176cad6ecf1e223749ae927a5989f2d2c0c29  asterisk-1.6.1-rc1.tar.gz
-# 3e22952202fafc49f13addaf8852cfa3ebc05fc2  asterisk-1.6.1-rc1-stripped.tar.gz
+# 1fe8c924945ff04acd7883f086cf7f1ce0fc8d88  asterisk-1.6.1-rc1-stripped.tar.gz
+#
+# SHA256 Sums
+# =========
+# 730dea578f72b51ff13f21320ff81f06e1c10a02a0f723b61c5bf8e47bee5e3b  asterisk-1.6.1-rc1.tar.gz
+# 93b2635208318c834917fad0a75fd59d04c282ca15d7dba2ba494cee22e88b73  asterisk-1.6.1-rc1-stripped.tar.gz
 
 Source0: asterisk-%{version}%{?_rc:-rc%{_rc}}-stripped.tar.gz
 Source1: asterisk-logrotate
 Source2: menuselect.makedeps
 Source3: menuselect.makeopts
 Source4: asterisk-strip.sh
+Source5: asterisk-%{version}%{?_rc:-rc%{_rc}}.tar.gz.asc
+Source6: asterisk-developer-pubring.gpg
 
 Patch1:  0001-Modify-init-scripts-for-better-Fedora-compatibility.patch
 Patch2:  0002-Modify-modules.conf-so-that-different-voicemail-modu.patch
@@ -1092,6 +1099,11 @@
 %{_libdir}/asterisk/modules/app_voicemail_plain.so
 
 %changelog
+* Thu Mar  5 2009 Jeffrey C. Ollie <jeff at ocjtech.us> - 1.6.1-0.23.rc1
+- Rebuild to pick up new AIS and ODBC deps.
+- Update script that strips out bad content from tarball to do the
+  download and to check the GPG signature.
+
 * Mon Feb 23 2009 Fedora Release Engineering <rel-eng at lists.fedoraproject.org> - 1.6.1-0.22.rc1
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
 


Index: sources
===================================================================
RCS file: /cvs/pkgs/rpms/asterisk/devel/sources,v
retrieving revision 1.20
retrieving revision 1.21
diff -u -r1.20 -r1.21
--- sources	9 Feb 2009 05:54:22 -0000	1.20
+++ sources	5 Mar 2009 14:12:22 -0000	1.21
@@ -1 +1,3 @@
-077741b7f993925f61bb50ab29b49063  asterisk-1.6.1-rc1-stripped.tar.gz
+d77d5521c9e742c81356f49ebcf6051a  asterisk-1.6.1-rc1-stripped.tar.gz
+2ed78cc8eae3b293c5295444e891462e  asterisk-1.6.1-rc1.tar.gz.asc
+4c2feab99acb254a49048b93da97ad42  asterisk-developer-pubring.gpg




More information about the fedora-extras-commits mailing list